Bug 1267885 - Provisioning does not support 6Server/7Server redhat releases
Provisioning does not support 6Server/7Server redhat releases
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks: 1122832
  Show dependency treegraph
 
Reported: 2015-10-01 05:51 EDT by Peter Vreman
Modified: 2018-05-19 01:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vreman 2015-10-01 05:51:11 EDT
Description of problem:
In the Content Management (RedHat Repositories, ActivationKey, ContentHost) you can select 6Server/7Server as release_version.

The Provisioning side (Foreman) does not have corresponding entries in the Operatingsystems. This makes it complex to associate the correct OS entry for hosts that are bound to 6Server/7Server (e.g. the Satellite host itself must be on 6Server/7Server as it does not support EUS/Zstream)

Secondly there is no Kickstart repository for 6Server/7Server available, that makes it strange to select a 6.x/7.x for Kickstart repository and then 6Server/7Server for the other repositories


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Sync 6Server repos
2. Create Contentview with 6Server repos and 6Server Kickstart
3. Create Activation Key with 6Server as release
4. Create Host in Foreman with the Activation Key
5. Associate OS

Actual results:
- In step 2 the Kickstart repository of 6Server is not available
- In step 5 Inconsistent behaviour and associations between Operatingsystem and release version

Expected results:
Consistent behaviour RedHat version names in:
- Kickstart
- Release_version
- Operating systems

It might come handy to have in two variables with the OS version:
- Target OS release to for Content/Provision
- Actual running OS release
These might be different and it is good to know if those are out-of-sync, because then the yum update command still has to be run


Additional info:
Comment 2 Bryan Kearney 2016-07-08 16:48:09 EDT
Per 6.3 planning, moving out non acked bugs to the backlog

Note You need to log in before you can comment on or make changes to this bug.